﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.3
@EndOfDesignText@
Sub Process_Globals
	Dim raf As RandomAccessFile
End Sub

'Headers for the Equipment database
Sub EquipmentHeaders
	Log("Start Equipment")
	Starter.DBName = "EQUIPMENT"
	Starter.TotColNumber=5
	Starter.FrozenCols=0
	Starter.FirstColCheck=True
	Starter.ColNames(0) = "EQUIPMENT"
	Starter.ColNames(1) = "DESCRIPTION"
	Starter.ColNames(2) = "COMMENT1"
	Starter.ColNames(3) = "COMMENT2"
	Starter.ColNames(4) = "COMMENT3"
		
	Starter.ColDataTypes(0) = "TEXT"
	Starter.ColDataTypes(1) = "TEXT"
	Starter.ColDataTypes(2) = "TEXT"
	Starter.ColDataTypes(3) = "TEXT"
	Starter.ColDataTypes(4) = "TEXT"
End Sub


'Creates the file with bogus information for the very first start
Sub CreateEquipmentFile
	Log("Create Equipment File")
	Starter.EquipmentList.Initialize
	Dim X As String
For i = 0 To 100
	Dim Equip As EquipData
	X = "RP" & i
	Equip.EQUIPNAME = X
	X = "RPDesc" & i
	Equip.EQUIPDESC = X
	Equip.EQUIPCOM1 = i
	Equip.EQUIPCOM2 = i
	Equip.EQUIPCOM3 = i
	Starter.EquipmentList.Add(Equip)
Next
	raf.Initialize(File.DirInternal,"Equipment",False)
	raf.WriteB4XObject(Starter.EquipmentList,0)			   ' Write the list
	raf.Close	
	Starter.TotDBRowCount = 100                          ' Sets first record count
End Sub

' Saves the DB array from the temporary storage file
Sub SaveDBEquipment
	Log("Save DB to Equipment")
	Dim EquipList As List
	EquipList.Initialize
	For RowNo = 0 To Starter.TotDBRowCount-1
		Dim RowList As List = Starter.TableData.Get(RowNo)
		Dim EquipNow As EquipData
		EquipNow.EQUIPNAME	= RowList.Get(0)
		EquipNow.EQUIPDESC	= RowList.Get(1)
		EquipNow.EQUIPCOM1	= RowList.Get(2)
		EquipNow.EQUIPCOM2	= RowList.Get(3)
		EquipNow.EQUIPCOM3	= RowList.Get(4)
		EquipList.Add(EquipNow)
	Next
	
	raf.Initialize(File.DirInternal,"Equipment",False)
	raf.WriteB4XObject(EquipList,0)			' Write the list
	raf.close
End Sub


' Retrieves the Equipment list
'Samples it and places it in TableData for use on the DB
Sub RetrieveEquipment
	Log("Retrieving Equipment from RAF")
	raf.Initialize(File.DirInternal,"Equipment",False)		'retrieve the equipment list
	Starter.EquipmentList.Initialize
	Starter.EquipmentList=raf.ReadB4XObject(0)
'Log(Starter.EquipmentList.Size)
	Dim FoundEquip As EquipData
	Starter.TableData.Initialize
	For i = 0 To Starter.EquipmentList.Size-1                      ' Gets the record
		FoundEquip=Starter.EquipmentList.Get(i)                          ' Gets the record
		Dim row(5) As Object
		row(0) = FoundEquip.EQUIPNAME
		row(1) = FoundEquip.EQUIPDESC
		row(2) = FoundEquip.EQUIPCOM1
		row(3) = FoundEquip.EQUIPCOM2
		row(4) = FoundEquip.EQUIPCOM3
		Starter.TableData.Add(row)                     ' stores for entering into DB
	Next
	Starter.TotDBRowCount=Starter.EquipmentList.Size
	raf.close
End Sub






